Skip to main content

Provide password for payment

PUT https://wallet.paysera.com/rest/v1/payment/{paymentId}/password

Provide password to unlock payment with status waiting_password

Authorization​

This endpoint requires MAC (Message Authentication Code) authentication.

Authorization Header Format:

Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"

Example:

Authorization: MAC id="a9b8c7d6e5f4g3h2", ts="1234567890", nonce="xyz123abc456def", mac="dGhpcyBpcyBhIHJhbmRvbSBtYWMgaGFzaCB2YWx1ZQ==", ext="body_hash=cmFuZG9tQm9keUhhc2hWYWx1ZQ%3D%3D"

For more details, see the Authentication section.

Parameters​

Path Parameters​

NameTypeRequiredDescription
paymentIdinteger✓Payment identifier

Request Body​

FieldTypeRequiredDescription
passwordstring✓Password for the payment

Example​

Request​

PUT https://wallet.paysera.com/rest/v1/payment/{paymentId}/password
Content-Type: application/json
Authorization: MAC id="CLIENT_ID", ts="TIMESTAMP", nonce="RANDOM_STRING", mac="MAC_HASH", ext="body_hash=BODY_HASH"
{
"password": "some secret"
}

Response​

{}

AUTHORIZATION: HTTP

REQUEST

Base URL
https://wallet.paysera.com
Body REQUIRED
{
"password": "some secret"
}

RESPONSE

Password provided successfully
{}